If a page does not load correctly it might be a problem with your web browser. The Bike Hub website does not support older web browsers.

Browsers that may not work on Bike Hub include:

  • Microsoft Internet Explorer (IE)

  • Safari 9 (and older)

  • Firefox (old versions)

  • Chrome (old versions)

You can check whether your browser is out of date here: https://browser-update.org/update-browser.html

Browsers that will work include recent versions of:

  • Google Chrome

  • Mozilla Firefox

  • Apple Safari 10+

  • Microsoft Edge (most recent versions)

Did this answer your question?